# class SHA1 | A standard SHA1 digest calculator. More...
Full name | `TelEngine::SHA1`
Definition | `#include <yateclass.h>`
Inherits | TelEngine::Hasher [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SHA1 ()
- SHA1 (const SHA1& original)
- SHA1 (const void* buf, unsigned int len)
- SHA1 (const DataBlock& data)
- SHA1 (const String& str)
- SHA1& operator= (const SHA1& original)
- virtual ~SHA1 ()
- virtual void clear ()
- virtual void finalize ()
- virtual const unsigned char* rawDigest ()
- virtual unsigned int hashLength () const

#### Public Static Methods

- static inline unsigned int rawLength ()

#### Protected Methods

- bool updateInternal (const void* buf, unsigned int len)

## Detailed Description

A class to compute and check SHA1 digests

SHA1 () | ### SHA1

Construct a fresh initialized instance

SHA1 (const SHA1& original) | ### SHA1

Copy constructor

Parameters:

original | SHA1 instance to copy

SHA1 (const void* buf, unsigned int len) | ### SHA1

Construct a digest from a buffer of data

Parameters:

buf | Pointer to the data to be included in digest
len | Length of data in the buffer

SHA1 (const DataBlock& data) | ### SHA1

Construct a digest from a binary DataBlock

Parameters:

data | Binary data to be included in digest

SHA1 (const String& str) | ### SHA1

Construct a digest from a String

Parameters:

str | String to be included in digest

SHA1& operator= (const SHA1& original) | ### operator=

Assignment operator.

~SHA1 () | ### ~SHA1

[virtual]

Destroy the instance, free allocated memory

void clear () | ### clear

[virtual]

Clear the digest and prepare for reuse

Reimplemented from Hasher.

void finalize () | ### finalize

[virtual]

Finalize the digest computation, make result ready. Subsequent calls to update() will fail

Reimplemented from Hasher.

const unsigned char* rawDigest () | ### rawDigest

[virtual]

Returns a pointer to the raw 20-byte binary value of the message digest. The digest is finalized if if wasn't already

Returns: Pointer to the raw digest data or NULL if some error occured

Reimplemented from Hasher.

inline unsigned int rawLength () | ### rawLength

[static]

Return the length of the raw binary digest

Returns: Constant value of 20

unsigned int hashLength () | ### hashLength

[const virtual]

Return the length of the raw binary digest

Returns: Length of the digest in octets

Reimplemented from Hasher.

bool updateInternal (const void* buf, unsigned int len) | ### updateInternal

[protected]

Reimplemented from Hasher.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.